Bug Hunting Session
Bug 37650 - FILEOPEN: particular .svg (exported from .odg) renders text invisible importing
Summary: FILEOPEN: particular .svg (exported from .odg) renders text invisible importing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-26 20:41 UTC by Christopher M. Penalver
Modified: 2016-02-10 22:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
p0p1p2.odg (46.31 KB, application/vnd.oasis.opendocument.graphics)
2011-05-26 20:41 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-05-26 20:41:20 UTC
Created attachment 47203 [details]
p0p1p2.odg

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/138141

OOo bug may be found at:
http://openoffice.org/bugzilla/show_bug.cgi?id=52605

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-draw
libreoffice-draw:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

apt-cache policy unoconv
unoconv:
  Installed: 0.3-6
  Candidate: 0.3-6
  Version table:
 *** 0.3-6 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/universe i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Draw via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/138141/+attachment/2144240/+files/p0p1p2.odg && unoconv --listener && unoconv -f svg p0p1p2.odg && lodraw -nologo p0p1p2.odg p0p1p2.svg

the two files should look the same.

4) What happen instead is the text is gone in the p0p1p2.svg file. The problem is that in the svg file the 'fill' attribute of the text is set to 'none' while it should have the color of the text.

WORKAROUND: replace fill:none with fill:#000000 in the xml code of the svg file and text will be rendered black. Until bug is solved, users can do this with a replace all command in a text editor.
Comment 1 Rainer Bielefeld Retired 2011-06-14 00:59:51 UTC
NOT reproducible with "LibreOffice 3.4.0  – WIN7  Home Premium  (64bit) German UI [OOO340m1 (Build:12)]" and reporter's sample "p0p1p2.odg" Export looks fine with Seamonkey (at least big table at the left shows text).

But indeed, IE8 shows table without text (after first open, furthermore IE always opened .svg in Seamonkey). And LibO SVG import also shows empty text fields. 

May be I can't see the bug because Seamonkey is too tolerant?
Comment 2 Christopher M. Penalver 2011-06-14 11:00:10 UTC
Rainer Bielefeld, thanks for testing LO 3.4.0 for this bug. However, this bug is only focusing on importing the exported svg file back into LO Draw, not seamonkey. Let us avoid "scope creep" and remain focused on this. :)
Comment 3 Rainer Bielefeld Retired 2011-06-14 11:12:25 UTC
@Christopher:
The question is: SVG syntax error or not (I have no knowledge concerning SVG syntax)? Is the workaround also the base for the fix or really only a workaround?
The export/reimport effect (please excuse me, it seems I stopped reading subject line with word "invisible ") has been reproduced with WIN, so I modify OS to ALL.
Comment 4 Björn Michaelsen 2011-12-23 12:03:30 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 5 Christopher M. Penalver 2012-01-03 15:40:38 UTC
Reproducible in:
LOdev 3.5.0beta2 
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002
Comment 6 Rainer Bielefeld Retired 2012-01-03 21:38:44 UTC
[Reproducible] with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978] 

Steps how to reproduce:
1. open p0p1p2.odg from file menu
2. Menu 'File -> Export ->  "p0p1p2.SVG"' as .SVG
3. Menu 'File -> Open->  "p0p1p2.SVG"'
   Expected: lots of text in the drawing
   Actual: no text as all
Seamonkey (for example ) shows the text

We have some similar bugs with text import problems
Bug 39554 - Insert->Picture->From File... *.SVG not correctly
Bug 32248 - FILEOPEN SVG no TEXT visible
Bug 39599 EDITING, FILEOPEN SVG TEXT INKSCAPE
Bug 37994 - Wrong import of SVG files

Might be Fileopen + Filesave problem

@Thorsten:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 7 Thorsten Behrens (CIB) 2013-09-12 16:14:47 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 8 QA Administrators 2015-04-01 14:41:06 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-01
Comment 9 A (Andy) 2015-04-10 20:39:34 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 10 Commit Notification 2015-04-11 11:30:58 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8976c41dc847cc47abf127bed4e0dc58aa7f1b5

tdf#37650: further improvement of svg export

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 V Stuart Foote 2015-04-12 18:53:16 UTC
@Christina,
(In reply to Commit Notification from comment #10)
With current master, with patch, the exported SVG Insert -> Image is now correct. It also now is showing all its text (Inkscape, Firefox)--so setting RESOLVED FIXED on Master/5.0. Will you be backporting to 4.4?

Of course, issues of bug 32248 continue to prevent the SVG from rendering when Opened into Draw.
Comment 12 Joel Madero 2016-02-10 22:39:34 UTC
4.4 EOL - removing request.